Summary:	Wayland Compositor Infrastructure
Name:		wayland
Version:	1.5.0
Release:	3
License:	MIT
Group:		System/Libraries
Url:		http://wayland.freedesktop.org/
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libffi)
# for man pages
BuildRequires:	docbook-style-xsl
BuildRequires:	doxygen
# for protocol doc
BuildRequires:	xsltproc

%track
prog %{name} = {
	url = http://wayland.freedesktop.org/releases.html
	version = %{version}
	regex = %{name}-(__VER__)\.tar\.xz
}

%description
Wayland is a protocol for a compositor to talk to its clients as well
as a C library implementation of that protocol. The compositor can be
a standalone display server running on Linux kernel modesetting and
evdev input devices, an X application, or a wayland client itself. The
clients can be traditional applications, X servers (rootless or
fullscreen) or other display servers.

#----------------------------------------------------------------------------

%define client_major 0
%define client_name %{name}-client
%define client_libname %mklibname %{client_name} %{client_major}

%package -n %{client_libname}
Summary:	Libraries for %{client_name}
Group:		System/Libraries

%description -n %{client_libname}
This package contains the libraries for %{client_name}.

%files -n %{client_libname}
%{_libdir}/lib%{client_name}.so.%{client_major}*

#----------------------------------------------------------------------------

%define server_major 0
%define server_name %{name}-server
%define server_libname %mklibname %{server_name} %{server_major}

%package -n %{server_libname}
Summary:	Libraries for %{server_name}
Group:		System/Libraries

%description -n %{server_libname}
This package contains the libraries for %{server_name}.

%files -n %{server_libname}
%{_libdir}/lib%{server_name}.so.%{server_major}*

#----------------------------------------------------------------------------

%define cursor_major 0
%define cursor_name %{name}-cursor
%define cursor_libname %mklibname %{cursor_name} %{cursor_major}

%package -n %{cursor_libname}
Summary:	Libraries for %{cursor_name}
Group:		System/Libraries

%description -n %{cursor_libname}
This package contains the libraries for %{cursor_name}.

%files -n %{cursor_libname}
%{_libdir}/lib%{cursor_name}.so.%{cursor_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Header files for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{EVRD}
Requires:	%{client_libname} = %{EVRD}
Requires:	%{server_libname} = %{EVRD}
Requires:	%{cursor_libname} = %{EVRD}
Requires:	%{name}-tools = %{EVRD}

%description -n %{devname}
This package contains the header and pkg-config files for developing
with %{name}.

%files -n %{devname}
%{_includedir}/%{name}-*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.dtd
%{_datadir}/aclocal/%{name}-scanner.m4

#----------------------------------------------------------------------------

%package tools
Summary:	Wayland development tools
Group:		System/Libraries

%description tools
This package contains development tools for Wayland.

%files tools
%{_bindir}/%{name}-scanner

#----------------------------------------------------------------------------

%package doc
Summary:	Wayland documentation
Group:		Development/Other

%description doc
This package contains documentation of Wayland.

%files doc
%{_mandir}/man3/wl_*.3*
%{_datadir}/wayland/wayland.xml

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x --disable-static
%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.5.0-3
+ Revision: d92b113
- MassBuild#440: Increase release tag


